from .. import registry


def create_default_registry():
    reg = registry.Registry()
    families = ['wilds_data', 'mldb_data']
    for family in families:
        exec(f'from . import {family}')
        for k, v in eval(family).get_data_families().items():
            reg.add_family(k, v)
    return reg


_default_registry = None


def default_registry():
    global _default_registry
    if _default_registry is None:
        _default_registry = create_default_registry()
    return _default_registry