from .. import registry


def create_default_registry():
    reg = registry.Registry()
    families = ['debug_models', 'linear_models', 'sklearn_models', 'imagenet_models',
                'neural_models', 'fast_neural_models', 'random_features_models', 'pretrained_models',
                'odst_models', 'rst_models', 'clip_zeroshot', 'clip_finetune']
    for family in families:
        exec(f'from . import {family}')
        for k, v in eval(family).get_model_families().items():
            reg.add_family(k, v)
    return reg


_default_registry = None


def default_registry():
    global _default_registry
    if _default_registry is None:
        _default_registry = create_default_registry()
    return _default_registry
