"""Test configurations.

Fixtures defined in this file are available for all tests.
"""
import sys

import basicdb
import pytest
import numpy as np

from testbed.mldb import MLDB

@pytest.fixture
def mldb(tmp_path):
    """Replace the standard MLDB with a temporary, local copy of filesystem and SQL DB"""
    db = basicdb.BasicDB(sql_string="sqlite:///:memory:",
                         stash_rootdir=tmp_path,
                         namespace="mockdb")

    return MLDB(db, data_cache_dir=tmp_path)

@pytest.fixture
def rng():
    """Return a seeded random number generator."""
    return np.random.RandomState(1234)
