"""Testing  neural learning rule functionality."""
import pytest

from testbed import init_db

@pytest.mark.gpu
def test_full_cifar10(mldb, rng):
    init_db.add_rst_models(mldb)
    init_db.add_cifar10(mldb)
    model = mldb.model(name='rst_wideresnet_baseline_model')
    eval = model.predict(dataset='cifar10-test')
    acc = eval.accuracy
    assert acc >= 0.9641
    assert acc <= 0.9643


def test_cifar10_subset(mldb, rng):
    init_db.add_rst_models(mldb)
    init_db.add_cifar10(mldb)
    model = mldb.model(name='rst_wideresnet_baseline_model')
    cifar10_test_small = mldb.dataset(name="cifar10-test").subsample(size=10, seed=923761329)
    eval = model.predict(dataset=cifar10_test_small, num_workers=0)
    acc = eval.accuracy
    assert acc >= 0.2
