# import testbed
from matplotlib import pyplot as plt
# import numpy as np
from tqdm import tqdm
import pickle

# mldb = testbed.mldb.get_default_mldb()
# registry = mldb.model_registry
# neural_model_names = [k for k, v in registry.families.items() if isinstance(v, testbed.model_families.neural_models.NeuralModelFamily)]

# models = mldb.get_models(train_set='cifar10-train')
# models = [x for x in models if x.db_obj.subtype in neural_model_names]
# models = [x for x in models if not x.is_checkpoint]

# perf = {}
# for name in tqdm(neural_model_names):
#     rel_models = [x for x in models if x.db_obj.subtype == name]
#     perfs = [x.accuracy for model in rel_models for x in model.get_evaluations() if x.test_set.name == 'cifar10-test']
#     perf[name] = np.mean(perfs)
# perf = {k: v for k, v in perf.items() if not math.isnan(v)}

# with open('perf.pickle', 'wb') as handle:
#     pickle.dump(perf, handle, protocol=pickle.HIGHEST_PROTOCOL)

# with open('perf.pickle', 'rb') as handle:
#     perf = pickle.load(handle)

perf = {
 'DPN26': 0.9515,
 'DPN92': 0.9565,
 'DenseNet121': 0.9537500000000001,
 'DenseNet169': 0.9528,
 'EfficientNetB0': 0.9038,
 'GoogLeNet': 0.9514,
 'LeNet': 0.7539399999999999,
 'MobileNet': 0.8933,
 'MobileNetV2': 0.9096500000000001,
 'PNASNetA': 0.8197199999999999,
 'PNASNetB': 0.9172399999999999,
 'PreActResNet101': 0.9517000000000001,
 'PreActResNet18': 0.9480666666666666,
 'PreActResNet50': 0.9534333333333334,
 'RegNetX_200MF': 0.9503666666666667,
 'RegNetX_400MF': 0.95366,
 'RegNetY_400MF': 0.9507,
 'ResNeXt29_2x64d': 0.953175,
 'ResNeXt29_32x4d': 0.9555,
 'ResNeXt29_4x64d': 0.957,
 'ResNet101': 0.9535,
 'ResNet18': 0.9532399999999999,
 'ResNet34': 0.9550000000000001,
 'ResNet50': 0.9551,
 'SENet18': 0.95124,
 'ShuffleNetG2': 0.90696,
 'ShuffleNetG3': 0.902625,
 'ShuffleNetV2_0_5': 0.8846,
 'ShuffleNetV2_1': 0.90642,
 'ShuffleNetV2_1_5': 0.91288,
 'ShuffleNetV2_2': 0.9148428571428572,
 'VGG11': 0.92438,
 'VGG13': 0.94178,
 'VGG16': 0.94072,
 'VGG19': 0.9379249999999999,
 'densenet_cifar': 0.94468
}

chosen_models = [
    'LeNet',
    'PNASNetA',
    'ShuffleNetV2_0_5',
    'MobileNetV2',
    'VGG11',
    'GoogLeNet',
    'densenet_cifar',
    'PreActResNet18',
    'ResNet50',
    'ResNeXt29_4x64d',
]

a = perf.values()
plt.figure()
# plt.hlines(100,min(a),max(a))  # Draw a horizontal line
plt.eventplot([v*100 for k, v in perf.items() if k not in chosen_models], orientation='horizontal', colors='b')
plt.eventplot([v*100 for k, v in perf.items() if k in chosen_models], orientation='horizontal', colors='g')
# plt.xticks(range(60, 100, 2))
plt.show()
