import random

from tqdm import tqdm
from testbed.mldb import get_default_mldb

import random

mldb = get_default_mldb()

all_evals = []

for dset in [dset for dset in mldb.get_datasets() if dset.name.startswith('IWildCam-')]:
    print(dset.name)
    all_evals.extend(mldb.get_evaluations(test_set=dset.name))

print(len(all_evals))

random.shuffle(all_evals)

for ev in tqdm(all_evals):
    ev.get_statistic('iwc_f1_approx_ci_95')
    # hacks to avoid memory accumulation
    del ev._predictions
    ev._predictions = None
    del ev._test_set
    ev._test_set = None
