import traceback

import tqdm

import testbed
from testbed.mldb import get_default_mldb as get_mldb


mldb = get_mldb()
evals = mldb.get_evaluations()

for cur_eval in tqdm.tqdm(evals):
    try:
        if 'accuracy' in cur_eval.db_obj.extra:
            del cur_eval.db_obj.extra['accuracy']
        if 'acc_conf_int' in cur_eval.db_obj.extra:
            del cur_eval.db_obj.extra['acc_conf_int']
        cur_eval.get_statistic('num_correct_and_size')
        cur_eval.get_statistic('macro_f1')
    except:
        traceback.print_exc()
