perf = {
'imgnt_alexnet': 56.52,
'imgnt_densenet121': 74.43,
'imgnt_densenet161': 77.14,
'imgnt_densenet169': 75.60,
'imgnt_densenet201': 76.90,
'imgnt_dpn107': 79.75,
'imgnt_dpn131': 69.43,
'imgnt_dpn68': 75.87,
'imgnt_dpn68b': 77.03,
'imgnt_dpn92': 79.40,
'imgnt_dpn98': 79.22,
'imgnt_googlenet': 69.78,
'imgnt_mobilenet_v2': 71.88,
'imgnt_nasnetalarge': 82.51,
'imgnt_nasnetamobile': 74.08,
'imgnt_pnasnet5large': 82.74,
'imgnt_resnet101': 77.37,
'imgnt_resnet152': 78.31,
'imgnt_resnet18': 69.76,
'imgnt_resnet34': 73.31,
'imgnt_resnet50': 76.13,
'imgnt_resnext101_32x4d': 78.19,
'imgnt_resnext101_32x8d': 79.31,
'imgnt_resnext101_64x4d': 78.96,
'imgnt_resnext50_32x4d': 77.62,
'imgnt_se_resnet101': 78.40,
'imgnt_se_resnet152': 78.66,
'imgnt_se_resnet50': 77.64,
'imgnt_se_resnext101_32x4d': 80.24,
'imgnt_se_resnext50_32x4d': 79.08,
'imgnt_senet154': 81.3,
'imgnt_shufflenet_v2_x0_5': 60.55,
'imgnt_shufflenet_v2_x1_0': 69.36,
'imgnt_squeezenet1_0': 58.09,
'imgnt_squeezenet1_1': 58.18,
'imgnt_vgg11': 69.02,
'imgnt_vgg11_bn': 70.37,
'imgnt_vgg13': 69.93,
'imgnt_vgg13_bn': 71.59,
'imgnt_vgg16': 71.59,
'imgnt_vgg16_bn': 73.36,
'imgnt_vgg19': 72.38,
'imgnt_vgg19_bn': 74.22,
'imgnt_xception': 78.82
}

chosen_models = [
'imgnt_alexnet',
'imgnt_squeezenet1_1',
'imgnt_shufflenet_v2_x0_5',
'imgnt_vgg11',
'imgnt_mobilenet_v2',
'imgnt_densenet121',
'imgnt_resnet50',
'imgnt_xception',
'imgnt_se_resnext101_32x4d',
'imgnt_pnasnet5large',
]

from matplotlib import pyplot as plt
import numpy as np

a = perf.values()

plt.figure()
plt.hlines(1,min(a),max(a))  # Draw a horizontal line
plt.eventplot([v for k, v in perf.items() if k not in chosen_models], orientation='horizontal', colors='b')
plt.eventplot([v for k, v in perf.items() if k in chosen_models], orientation='horizontal', colors='g')
plt.xticks(range(55, 85, 2))
plt.show()
