"""Script to update existing MLDB datasets to be compatible with the new format."""
import dataclasses
import testbed

mldb = testbed.mldb.get_default_mldb()

for dataset in mldb.get_datasets():
    db_obj = dataset.db_obj 
    subtype = "MLDBDatasetFamily"
    db_obj.extra["dataset_length"] = len(dataset.examples)
    db_obj.extra["params"] = {}
    mldb.db.update(dataset.db_obj, subtype=subtype, extra=db_obj.extra)
